image: node:16.13
pages:
  cache:
    paths:
      - node_modules/
      - .angular/cache
  script:
    - npm install -g @angular/cli@10.1.3
    - npm install
    - npm run buildProd
  artifacts:
    paths:
      - public
  only:
    - master
    - pages
